Subject: Re: bug#58071: 28.2; [PATCH] jumprel: A tool to find/create related files

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 29 Sep 2022 12:46:24 +0200

Damien Cassou <[email-masked]> writes:

> I'm not sure I understand what you mean. I agree that there is no point
> in having 10 many different completion frameworks in Emacs core (even
> though we might be close to this number already 😊).
>
> Similarly, I wouldn't like to have 3 find-related-files packages. But I
> think that, contrary to completion frameworks, these 3 packages provide
> the same feature: namely "a command to find file(s) related to the
> current one". Said differently, the user-visible behavior is the
> same. As soon as the setup is done, there shouldn't any difference
> between `find-sibling-file' and `jumprel'.

The similarity between completion frameworks and "jumping to files" is
that people have different needs.  Some would prefer something that
guesses for you, while others prefer to make the rules explicit.